Rem -- This example will show you how to create image files instead of PDF documents.

Rem -- Get current path of this script.
Set fso = CreateObject("Scripting.FileSystemObject")
currentdir = fso.GetAbsolutePathName(".")

Rem -- Read the info xml
Set xmldom = CreateObject("MSXML.DOMDocument")
xmldom.Load(currentdir & "\info.xml")

Rem -- Get the program id of the automation object.
progid = xmldom.SelectSingleNode("/xml/progid").text

Rem -- Create the COM object to control the printer.
set obj = CreateObject(progid)

Rem -- Get the default printer name.
Rem -- You can override this setting to specify a specific printer.
printername = obj.GetPrinterName

Rem -- Set the name of the file to print.
Rem -- In this case it is a rtf file. This will typically print using Microsoft WordPad or Microsoft Word.
printfile = currentdir & "\in\example.rtf"

Rem -- Valid devices
Rem -- PNG: pngmono, pnggray, png16, png256, png16m, pngalpha
Rem -- TIFF: tiffgray, tiff12nc, tiff24nc, tiff32nc, tiffsep, tiffcrle, tiffg3, tiffg32d, tiffg4, tifflzw, tiffpack
Rem -- JPEG: jpeg
device = "png16m"
'device = "tiffgray"

Rem -- Set the output file name
Rem -- The <pageno> macro will be substituted with the page numbers.
Rem -- You can optionally set the width of the page no as <pageno,x> where x is the width of the page number.
Rem -- If there is no <pageno> macro in the file name then all pages will be rendered into one image file if the file type supports multiple pages.
Rem -- If the file type does not allow multiple pages then only the first page is created.
output =  currentdir & "\out\demo-<pageno,4>.png"
'output =  currentdir & "\demo.tif"

Rem -- Set the values
obj.SetValue "Device", device
obj.SetValue "Output", output
obj.SetValue "ShowSettings", "never"
obj.SetValue "ShowPDF", "no"
obj.SetValue "WatermarkText", now
obj.SetValue "ShowProgress", "no"
obj.SetValue "ShowProgressFinished", "no"
obj.SetValue "RunOnSuccess", "cscript.exe """ & currentdir & "\notify.vbs"" ""%1"" ""%2"" ""%3"""
obj.SetValue "StatusFile", currentdir & "\out\status.ini"
obj.SetValue "SuppressErrors", "yes"

Rem -- Write settings to the runonce-Invoice.ini
obj.WriteSettings True

Rem -- Dispose the printer control object
set obj = Nothing

Rem -- Start the print job
cmd = """" & currentdir & "\printto.exe"" """ & printfile & """ """ & printername & """"
Set WshShell = WScript.CreateObject("WScript.Shell")
ret = WshShell.Run(cmd, 1, true)
